/**********************************************************************************
 * Project: GOblique - Electroweak fitting package                                *
 * Package: GOblique                                                              *
 * Class  : Epsilon1                                                              *
 *                                                                                *
 * Description:                                                                   *
 *      epsilon1                                                                  *
 *                                                                                *
 * Authors:                                                                       *
 *      Gfitter group                                                             *
 *                                                                                *
 * Redistribution and use in source and binary forms, with or without             *
 * modification, are permitted according to the terms listed in the file          *
 * LICENSE.                                                                       *
 **********************************************************************************/

#ifndef GOblique_Epsilon1
#define GOblique_Epsilon1
 
#include "Gfitter/GTheory.h"

namespace GOblique {

   class Gfitter::GParameterRef;

   class EpsilonParametrisation;

   class Epsilon1 : public Gfitter::GTheory {
    
   public:

      Epsilon1();
      virtual ~Epsilon1() {}

      // theory prediction as function of parameters stored in GStore
      Double_t GetTheoryPrediction();

      // not used
      void Initialise() {}
 
   protected:

      // reference to EpsilonParametrisation
      EpsilonParametrisation& GetPara() const { return (EpsilonParametrisation&)*t_Para; }  
      Gfitter::GTheoryRef    t_Para;  
      
      ClassDef(Epsilon1,0)
   };
}

#endif


