/**********************************************************************************
 * Project: GOblique - Electroweak fitting package                                *
 * Package: GOblique                                                              *
 * Class  : U                                                                     *
 *                                                                                *
 * Description:                                                                   *
 *      U Parameter                                                               *
 *                                                                                *
 * Authors:                                                                       *
 *      Gfitter group                                                             *
 *                                                                                *
 * Redistribution and use in source and binary forms, with or without             *
 * modification, are permitted according to the terms listed in the file          *
 * LICENSE.                                                                       *
 **********************************************************************************/
#ifndef GOblique_U
#define GOblique_U
 
#include "Gfitter/GTheory.h"

namespace GOblique {

   class Gfitter::GParameterRef;

   class EpsilonParametrisation;

   class U : public Gfitter::GTheory {
    
   public:

      U();
      virtual ~U() {}

      // theory prediction as function of parameters stored in GStore
      Double_t GetTheoryPrediction();

      // not used
      void Initialise() {}
 
   protected:

      // reference to EpsilonParametrisation
      EpsilonParametrisation& GetPara() const { return (EpsilonParametrisation&)*t_Para; }  
      Gfitter::GTheoryRef    t_Para;  
      
      ClassDef(U,0)
   };
}

#endif


