/**********************************************************************************
 * Package: GSM                                                                   *
 * Class  : A0lepFB                                                               *
 *                                                                                *
 * Description:                                                                   *
 *      Prediction of forward-backward asymmetry of leptons                       *
 *                                                                                *
 **********************************************************************************/
#ifndef GSM_A0lepFB
#define GSM_A0lepFB
 
#include "SMTheoryBuilder.h"

namespace GSM {

   class A0lepFB : public SMTheoryBuilder {
    
   public:

      A0lepFB();
      virtual ~A0lepFB() {}

      // theory prediction as function of parameters stored in GStore
      Double_t GetTheoryPrediction();

      // not used
      void Initialise() {}
 
   protected:

      ClassDef(A0lepFB,0)
   };
}

#endif
