/**********************************************************************************
 * Package: GSM                                                                   *
 * Class  : Ab                                                                    *
 *                                                                                *
 * Description:                                                                   *
 *      Asymmetry paramter of the b-quarks                                        *
 *                                                                                *
 **********************************************************************************/
#include "GSM/Ab.h"
#include "GSM/Z0Base.h"

#include "Gfitter/GMath.h"
#include "Gfitter/GTypes.h"

ClassImp(GSM::Ab)

GSM::Ab::Ab() : SMTheoryBuilder()
{
   SetTheoryName( GetName() );
   SetExistDerivative( kFALSE );
}

Double_t GSM::Ab::GetTheoryPrediction()
{
   Double_t Ratio_b = 1.0 - 4.0*Gfitter::GMath::OneThird()*GetZ0Theory().GetSin2Eff(Gfitter::GTypes::kBottom);
   
   Double_t ab = 2*Ratio_b/(1 + Ratio_b*Ratio_b); 
    
   return ab;
}
