/**********************************************************************************
 * Package: GSM                                                                   *
 * Class  : Alep                                                                  *
 *                                                                                *
 * Description:                                                                   *
 *      Asymmetry paramter of leptons                                             *
 *                                                                                *
 **********************************************************************************/
#include "GSM/Alep.h"
#include "GSM/Z0Base.h"

#include "Gfitter/GTypes.h"

using namespace Gfitter;

ClassImp(GSM::Alep)

GSM::Alep::Alep() : SMTheoryBuilder()
{
   SetTheoryName( GetName() );
   SetExistDerivative( kFALSE );
}

Double_t GSM::Alep::GetTheoryPrediction()
{
   Double_t Ratio_e = 1.0 - 4.0*GetZ0Theory().GetSin2Eff(Gfitter::GTypes::kElectron);
  
   Double_t alep = 2*(Ratio_e)/(1 + Ratio_e*Ratio_e);  
    
   return alep;
}
