/**********************************************************************************
 * Package: GSM                                                                   *
 * Class  : GammaWtot                                                             *
 *                                                                                *
 * Description:                                                                   *
 *      Prediction of the total width of W                                        *
 *                                                                                *
 **********************************************************************************/
#include "TMath.h"

#include "Gfitter/GMath.h"
#include "Gfitter/GParameterRef.h"
#include "Gfitter/GTheoryRef.h"
#include "Gfitter/GTypes.h"

#include "GSM/GammaWtot.h"
#include "GSM/MW.h"
#include "GSM/RadiatorFunctions.h"

ClassImp(GSM::GammaWtot)

GSM::GammaWtot::GammaWtot()
   : SMTheoryBuilder()
{
   SetTheoryName( GetName() );
   SetExistDerivative( kFALSE );
}

Double_t GSM::GammaWtot::GetTheoryPrediction()
{
   return GetWTheory().GetGammaW();
}



