/**********************************************************************************
 * Package: GSM                                                                   *
 * Class  : GammaWtot                                                             *
 *                                                                                *
 * Description:                                                                   *
 *      Prediction of total width of W boson                                      *
 *                                                                                *
 **********************************************************************************/
#ifndef GSM_GammaWtot
#define GSM_GammaWtot

#include "GSM/SMTheoryBuilder.h"

namespace GSM {

   class Gfitter::GParameterRef;

   class RadiatorFunctions;
   class WZFitter;
  
   class GammaWtot : public SMTheoryBuilder {

   public:
      
      GammaWtot();
      ~GammaWtot() {}

      // Theory Prediction
      Double_t GetTheoryPrediction();

      // not used
      void Initialise() {};

   protected:
      
      ClassDef(GammaWtot,0)
   };
}

#endif
