/**********************************************************************************
 * Package: GSM                                                                   *
 * Class  : GammaWtot                                                             *
 *                                                                                *
 * Description:                                                                   *
 *      Prediction of the total Z width                                           *
 *                                                                                *
 *                                                                                *
 **********************************************************************************/
#ifndef GSM_GammaZtot
#define GSM_GammaZtot
 
#include "GSM/SMTheoryBuilder.h"

namespace GSM {

   class GammaZtot : public SMTheoryBuilder {
    
   public:

      GammaZtot();
      virtual ~GammaZtot() {}

      // theory prediction as function of parameters stored in GStore
      Double_t GetTheoryPrediction();

      // not used
      void Initialise() {}
 
   protected:

      ClassDef(GammaZtot,0)
   };
}

#endif
