/**********************************************************************************
 * Package: GSM                                                                   *
 * Class  : MW                                                                    *
 *                                                                                *
 * Description:                                                                   *
 *      Prediction of W mass                                                      *
 *                                                                                *
 **********************************************************************************/
#include "TMath.h"
#include "TString.h"

#include "Gfitter/GMath.h"
#include "Gfitter/GTheory.h"
#include "Gfitter/GTheoryRef.h"
#include "Gfitter/GParameterRef.h"
#include "Gfitter/GReference.h"
#include "Gfitter/GVariable.h"
#include "Gfitter/GStore.h"
#include "Gfitter/GConstants.h"

#include "GSM/MW.h"
#include "GSM/DAlphaQED.h"
#include "GSM/AlphaQCDAtQ.h"
#include "GSM/MH.h"

using namespace Gfitter;

ClassImp(GSM::WMass)

GSM::MW::MW()
   : Gfitter::GTheory()
{
   BookTheory   ( "GSM::WMass" ,          & t_MW );
}

// eq. (6) of hep-ph/0311148
Double_t GSM::MW::GetTheoryPrediction()
{
   return GetMW();
}
