/**********************************************************************************
 * Project: GSM - Electroweak fitting package                                     *
 * Package: GSM                                                                   *
 * Class  : MW                                                                    *
 *                                                                                *
 * Description:                                                                   *
 *      Prediction of W mass                                                      *
 *                                                                                *
 *                                                                                *
 **********************************************************************************/
#ifndef GSM_MW
#define GSM_MW

#include "Gfitter/GTheory.h"
#include "GSM/WMass.h"

class Gfitter::GParameterRef;
class Gfitter::GTheoryRef;

namespace GSM {

   class MH;
   class DAlphaQED;

   class MW : public Gfitter::GTheory {

   public:
      
      MW();
      ~MW() {}

      // Theory Prediction
      Double_t GetTheoryPrediction();

      // Initialise coefficients
      void Initialise(){};

   protected:
    
      // reference to W mass
      Double_t GetMW() const { return ((GSM::WMass&)*t_MW).GetValue(); }      
      Gfitter::GTheoryRef t_MW; 

      ClassDef(MW,0)
   };
}

#endif
