/**********************************************************************************
 * Package: GSM                                                                   *
 * Class  : R0b                                                                   *
 *                                                                                *
 * Description:                                                                   *
 *      Ratio of the bottoms partial Z width to all hadrons                       *
 *                                                                                *
 *                                                                                *
 **********************************************************************************/
#ifndef GSM_R0b
#define GSM_R0b
 
#include "GSM/SMTheoryBuilder.h"

namespace GSM {

   class R0b : public SMTheoryBuilder {
    
   public:

      R0b();
      virtual ~R0b() {}

      // theory prediction as function of parameters stored in GStore
      Double_t GetTheoryPrediction();

      // not used
      void Initialise() {}
 
   protected:

      ClassDef(R0b,0)
   };
}

#endif
