/**********************************************************************************
 * Package: GSM                                                                   *
 * Class  : R0c                                                                   *
 *                                                                                *
 * Description:                                                                   *
 *      Ratio of the charms partial Z width to all hadrons                        *
 *                                                                                *
 **********************************************************************************/
#include "GSM/R0c.h"
#include "GSM/Z0Base.h"

ClassImp(GSM::R0c)

GSM::R0c::R0c() : SMTheoryBuilder()
{
   SetTheoryName( GetName() );
   SetExistDerivative( kFALSE );
}

Double_t GSM::R0c::GetTheoryPrediction()
{   
   Double_t GaZu = GetZ0Theory().GetGaZup();
   Double_t GaZd = GetZ0Theory().GetGaZdown();
   Double_t GaZs = GetZ0Theory().GetGaZstrange();
   Double_t GaZc = GetZ0Theory().GetGaZcharm();
   Double_t GaZb = GetZ0Theory().GetGaZbottom();
       
   Double_t r0c = GaZc/(GaZu + GaZd + GaZs + GaZc + GaZb);
   
   return r0c;
}
