/**********************************************************************************
 * Package: GSM                                                                   *
 * Class  : R0c                                                                   *
 *                                                                                *
 * Description:                                                                   *
 *      Ratio of the charms partial Z width to all hadrons                        *
 *                                                                                *
 **********************************************************************************/
#include "GSM/R0lep.h"
#include "GSM/Z0Base.h"

ClassImp(GSM::R0lep)

GSM::R0lep::R0lep() : SMTheoryBuilder()
{
   SetTheoryName( GetName() );
   SetExistDerivative( kFALSE );
}

Double_t GSM::R0lep::GetTheoryPrediction()
{
   Double_t GaZe = GetZ0Theory().GetGaZelectron();
   Double_t GaZu = GetZ0Theory().GetGaZup();
   Double_t GaZd = GetZ0Theory().GetGaZdown();
   Double_t GaZs = GetZ0Theory().GetGaZstrange();
   Double_t GaZc = GetZ0Theory().GetGaZcharm();
   Double_t GaZb = GetZ0Theory().GetGaZbottom();
      
   Double_t r0lep = (GaZu + GaZd + GaZs + GaZc + GaZb)/GaZe;
    
   return r0lep;
}
