/**********************************************************************************
 * Package: GSM                                                                   *
 * Class  : R0lep                                                                 *
 *                                                                                *
 * Description:                                                                   *
 *      Ratio of allhadrons Z width to the leptons one                            *
 *                                                                                *
 **********************************************************************************/
#ifndef GSM_R0lep
#define GSM_R0lep
 
#include "GSM/SMTheoryBuilder.h"

namespace GSM {

   class R0lep : public SMTheoryBuilder {
    
   public:

      R0lep();
      virtual ~R0lep() {}

      // theory prediction as function of parameters stored in GStore
      Double_t GetTheoryPrediction();

      // not used
      void Initialise() {}
 
   protected:

      ClassDef(R0lep,0)
   };
}

#endif
