/**********************************************************************************
 * Package: GSM                                                                   *
 * Class  : SMTheoryBuilder                                                       *
 *                                                                                *
 * Description:                                                                   *
 *      SM theory builder                                                         *
 *                                                                                *
 **********************************************************************************/
#include "TString.h"

#include "Gfitter/GVariable.h"
#include "Gfitter/GStore.h"
#include "Gfitter/GTheoryRef.h"

#include "GSM/SMTheoryBuilder.h"

using namespace Gfitter;

ClassImp(GSM::SMTheoryBuilder)

GSM::SMTheoryBuilder::SMTheoryBuilder()
   : Gfitter::GTheory()
{
   SetTheoryName( GetName() );
   SetExistDerivative( kFALSE );

   BookTheory( "GSM::Z0ZFitter", &m_z0Theory );
   BookTheory( "GSM::WZFitter",  &m_wTheory );
}
