/**********************************************************************************
 * Package: GSM                                                                   *
 * Class  : SMTheoryBuilder                                                       *
 *                                                                                *
 * Description:                                                                   *
 *      SM theory builder                                                         *
 *                                                                                *
 *                                                                                *
**********************************************************************************/

#ifndef GSM_SMTheoryBuilder
#define GSM_SMTheoryBuilder

#include "Gfitter/GTheory.h"

#include "GSM/Z0ZFitter.h"
#include "GSM/WZFitter.h"

namespace GSM {

   class Gfitter::GTheoryRef;
   class Z0Base;
   class WBase;

   class SMTheoryBuilder : public Gfitter::GTheory {

   public:
      
      SMTheoryBuilder();
      ~SMTheoryBuilder() {}

   protected:

      Z0Base& GetZ0Theory() { return (Z0Base&)*m_z0Theory; }
      Gfitter::GTheoryRef m_z0Theory;

      WBase& GetWTheory() { return (WBase&)*m_wTheory; }
      Gfitter::GTheoryRef m_wTheory;


      ClassDef(SMTheoryBuilder,0)
   };
}

#endif
