/**********************************************************************************
 * Package: GSM                                                                   *
 * Class  : SinEffLep                                                             *
 *                                                                                *
 * Description:                                                                   *
 *      Prediction of effective leptonic weak mixing angle                        *
 *                                                                                *
 **********************************************************************************/
#include "GSM/SinEffLep.h"
#include "GSM/Z0Base.h"

#include "Gfitter/GTypes.h"

ClassImp(GSM::SinEffLep)

GSM::SinEffLep::SinEffLep()
   : SMTheoryBuilder()
{
   SetTheoryName( GetName() );
   SetExistDerivative( kFALSE );
}

Double_t GSM::SinEffLep::GetTheoryPrediction()
{
   return GetZ0Theory().GetSin2Eff(Gfitter::GTypes::kElectron);
}
