/**********************************************************************************
 * Package: GSM                                                                   *
 * Class  : WBase                                                                 *
 *                                                                                *
 * Description:                                                                   *
 *      Implemantation of base class                                              *
 *                                                                                *
 **********************************************************************************/
#include "TMath.h"

#include "Gfitter/GMath.h"
#include "Gfitter/GConstants.h"
#include "Gfitter/GTheory.h"
#include "Gfitter/GTheoryRef.h"
#include "Gfitter/GParameterRef.h"
#include "Gfitter/GReference.h"

#include "GSM/WBase.h"

using namespace Gfitter;
using std::complex;

ClassImp(GSM::WBase)
   
GSM::WBase::WBase(): Gfitter::GAuxTheory()
{
   SetTheoryName( GetName() );
   SetExistDerivative( kFALSE );
   
   BookParameter( "MZ", &p_MZ );
   BookParameter( "GF", &p_GF );   
}

