/**********************************************************************************
 * Package: GSM                                                                   *
 * Class  : WBase                                                                 *
 *                                                                                *
 * Description:                                                                   *
 *      W Base class for W width                                                  *
 *                                                                                *
 *                                                                                *
 **********************************************************************************/
#ifndef GSM_WBase
#define GSM_WBase

#include <complex>

#include "Gfitter/GAuxTheory.h"

class Gfitter::GReference;
class Gfitter::GParameterRef;
class Gfitter::GTheoryRef;

namespace GSM {

   class WBase : public Gfitter::GAuxTheory {

   public:
      
      WBase();
      virtual ~WBase() {}
    
      // not used
      void Initialise() {};

      virtual Double_t GetGammaW() = 0;
      
   protected:
      
      // Data-Card members
      Gfitter::GParameterRef p_MZ; 
      Gfitter::GParameterRef p_GF; 
      
      Double_t m_gammaW;

   private:

      ClassDef(WBase,0)
   };
}

#endif
