/**********************************************************************************
 * Package: GSM                                                                   *
 * Class  : Z0Base                                                                *
 *                                                                                *
 * Description:                                                                   *
 *      Base class for EW fits                                                    *
 *                                                                                *
 **********************************************************************************/
#include "TMath.h"

#include "Gfitter/GMath.h"
#include "Gfitter/GConstants.h"
#include "Gfitter/GParameterRef.h"
#include "Gfitter/GTheoryRef.h"

#include "GSM/Sin2ThetaF.h"
#include "GSM/DAlphaQED.h"
#include "GSM/MH.h"


#include "GSM/Z0Base.h"

using namespace Gfitter;

ClassImp(GSM::Z0Base)

GSM::Z0Base::Z0Base()
   : Gfitter::GAuxTheory()
{
   SetTheoryName( GetName() );
   SetExistDerivative( kFALSE );

   BookParameter( "mt", &p_mt );  
   BookParameter( "MZ", &p_MZ );   
   BookParameter( "GF", &p_GF );

   BookTheory   ( "GSM::MH"                    , &t_MH );
   BookTheory   ( "GSM::DAlphaQED"             , &t_DAlphaQED );
   BookTheory   ( "GSM::Sin2ThetaF"            , &t_sineff );
}




