/**********************************************************************************
 * Package: GSM                                                                   *
 * Class  : gAeff                                                                 *
 *                                                                                *
 * Description:                                                                   *
 *                   computes effective coupling                                  *
 *                                                                                *
 *                                                                                *
 **********************************************************************************/
#ifndef GSM_gAeff
#define GSM_gAeff

#include "GSM/SMTheoryBuilder.h"
#include "Gfitter/GTypes.h"

namespace GSM {

   class gAeff :  public SMTheoryBuilder {

   public:
      
      gAeff();
      virtual ~gAeff() {}

      Double_t GetTheoryPrediction();

      void Initialise();

   protected:

      Gfitter::GTypes::Particle m_type;
      Double_t m_T3;
      Double_t m_Q;
    
      ClassDef(gAeff,0)
   };
}

#endif
