/**********************************************************************************
 * Project: GSTU - STU Parameter fitting package                                  *
 * Package: GSTU                                                                  *
 * Class  : U_Theory                                                              *
 *                                                                                *
 * Description:                                                                   *
 *      Theory Prediction of U parameter                                          *
 *                                                                                *
 * Authors:                                                                       *
 *      Gfitter group                                                             *
 *                                                                                *
 * Redistribution and use in source and binary forms, with or without             *
 * modification, are permitted according to the terms listed in the file          *
 * LICENSE.                                                                       *
 **********************************************************************************/
#ifndef GSTU_U_Theory
#define GSTU_U_Theory

#include "GSTU/TheoryHandler.h"

namespace GSTU {

   class U_Theory : public TheoryHandler {

   public:
      
      U_Theory();
      ~U_Theory() {}

      // Theory Prediction
      Double_t GetTheoryPrediction();

      // Initialise coefficients
      void Initialise() {}

   protected:
      
      ClassDef(U_Theory,0)
   };
}

#endif
